Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -7483,12 +7480,12 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1041
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" GOTO end_if_copy_1042
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1041
+IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\kuipcc.exe" GOTO end_if_copy_1042
+  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\kuipcc.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -7498,12 +7495,12 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1043
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" GOTO end_if_copy_1044
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1043
+IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\kuipsh.exe" GOTO end_if_copy_1044
+  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\kuipsh.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -7519,10 +7516,115 @@
 
 IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1045
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt_page.exe" GOTO end_if_copy_1046
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx.exe" GOTO end_if_copy_1046
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1046
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\onx.exe" GOTO end_if_copy_1047
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1047
+:end_if_release_1045
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1048
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx_config.exe" GOTO end_if_copy_1049
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1049
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\onx-config.exe" GOTO end_if_copy_1050
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\onx-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1050
+:end_if_release_1048
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1051
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_obatch.exe" GOTO end_if_copy_1052
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_obatch.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1052
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obatch.exe" GOTO end_if_copy_1053
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\obatch.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1053
+:end_if_release_1051
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1054
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_owin.exe" GOTO end_if_copy_1055
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_owin.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1055
+:end_if_release_1054
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1056
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" GOTO end_if_copy_1057
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1057
+:end_if_release_1056
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1058
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" GOTO end_if_copy_1059
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1059
+:end_if_release_1058
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1060
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt_page.exe" GOTO end_if_copy_1061
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt_page.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1046
-:end_if_release_1045
+:end_if_copy_1061
+:end_if_release_1060
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7533,11 +7635,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1047
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Python.exe" GOTO end_if_copy_1048
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1062
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Python.exe" GOTO end_if_copy_1063
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Python.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1048
-:end_if_release_1047
+:end_if_copy_1063
+:end_if_release_1062
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7548,11 +7650,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1049
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_hello.exe" GOTO end_if_copy_1050
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1064
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_hello.exe" GOTO end_if_copy_1065
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1050
-:end_if_release_1049
+:end_if_copy_1065
+:end_if_release_1064
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7563,11 +7665,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1051
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_OnX.exe" GOTO end_if_copy_1052
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1066
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_OnX.exe" GOTO end_if_copy_1067
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_OnX.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1052
-:end_if_release_1051
+:end_if_copy_1067
+:end_if_release_1066
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7578,11 +7680,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1053
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cube.exe" GOTO end_if_copy_1054
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1068
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cube.exe" GOTO end_if_copy_1069
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1054
-:end_if_release_1053
+:end_if_copy_1069
+:end_if_release_1068
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7593,11 +7695,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1055
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_detector.exe" GOTO end_if_copy_1056
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1070
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_detector.exe" GOTO end_if_copy_1071
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1056
-:end_if_release_1055
+:end_if_copy_1071
+:end_if_release_1070
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7608,11 +7710,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1057
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cylinder.exe" GOTO end_if_copy_1058
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1072
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cylinder.exe" GOTO end_if_copy_1073
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cylinder.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1058
-:end_if_release_1057
+:end_if_copy_1073
+:end_if_release_1072
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7623,11 +7725,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1059
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_images.exe" GOTO end_if_copy_1060
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1074
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_images.exe" GOTO end_if_copy_1075
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_images.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1060
-:end_if_release_1059
+:end_if_copy_1075
+:end_if_release_1074
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7638,11 +7740,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1061
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_shapes.exe" GOTO end_if_copy_1062
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1076
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_shapes.exe" GOTO end_if_copy_1077
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_shapes.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1062
-:end_if_release_1061
+:end_if_copy_1077
+:end_if_release_1076
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7653,11 +7755,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1063
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_menu.exe" GOTO end_if_copy_1064
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1078
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_menu.exe" GOTO end_if_copy_1079
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_menu.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1064
-:end_if_release_1063
+:end_if_copy_1079
+:end_if_release_1078
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7668,11 +7770,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1065
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_tree.exe" GOTO end_if_copy_1066
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1080
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_tree.exe" GOTO end_if_copy_1081
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1066
-:end_if_release_1065
+:end_if_copy_1081
+:end_if_release_1080
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7683,11 +7785,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1067
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Java_hello.exe" GOTO end_if_copy_1068
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1082
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Java_hello.exe" GOTO end_if_copy_1083
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Java_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1068
-:end_if_release_1067
+:end_if_copy_1083
+:end_if_release_1082
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7698,11 +7800,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1069
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_cube.exe" GOTO end_if_copy_1070
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1084
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_cube.exe" GOTO end_if_copy_1085
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1070
-:end_if_release_1069
+:end_if_copy_1085
+:end_if_release_1084
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7713,11 +7815,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1071
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_detector.exe" GOTO end_if_copy_1072
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1086
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_detector.exe" GOTO end_if_copy_1087
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1072
-:end_if_release_1071
+:end_if_copy_1087
+:end_if_release_1086
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7728,11 +7830,11 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1073
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_hello.exe" GOTO end_if_copy_1074
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1088
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_hello.exe" GOTO end_if_copy_1089
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1074
-:end_if_release_1073
+:end_if_copy_1089
+:end_if_release_1088
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
